25
May
hi-256-1-f6c1a0631c3f2ff177356c31ad6b0a0f767a5c98

We've talked about a few different Twitter clients designed specifically for Honeycomb in the past, but none have been so anticipated as Tweetcaster HD. The standard Tweetcaster (for phones) has been a long time favorite app of Twitter users because of it's super-rad zip it feature, which gives you the ability to block tweets by keyword, so you can ignore annoying tweets without having to un-follow anyone. Now, along with several other nice features, you can have this functionality on your Honeycomb tablet!

ss-1-320-480-160-0-c4dac8677c6cf3fc9ab0a57be93eca184fa3ce15 ss-4-320-480-160-0-5b4c72b8a43eb73d7b278ce314ba0f7601358c7f ss-5-320-480-160-0-fa8a05e528fe413d5246c65e99923a25c48f2820

Aside from Zip It, you can also color code tweets, retweet with or without comments, view @replies in a conversation style breakdown, and much more. It also supports Facebook integration, as well as support for multiple Twitter clients.

You can grab Tweetcaster HD for free in the Android Market.

Cameron Summerson
Cameron is a self-made geek, Android enthusiast, horror movie fanatic, and musician. When he's not pounding keys here at AP, you can find him spending time with his wife and kids, plucking away on the 6- or 7-string, or watching The Texas Chainsaw Massacre on repeat.

  • Ran

    Says it's incompatible with eee pad...

    • David Ruddock

      Interesting - that'd be something to contact the developer about. Wonder if they're aware of it.

  • Dave

    Won't install, says incompatible with my Acer Iconia A500 too.

  • banshee1971

    It is incompatible with Android 3, asus transformers...
    They need to return to the drawing box.

    • jgrmsmith

      same here with my Transformer

  • Jim

    Confirmed, not compatible with Acer A500.

  • Rohit

    works perfectly on nook color running honeycomb

  • wackadroid

    Not compatible with Asus Transformer stock HC 3.0

  • Milenko

    Get the "not compatible" error on g-slate as well.

  • http://zepan.org Michael Zehrer

    Not compatible withl Samsung Galaxy 10.1

    • http://www.AndroidPolice.com Artem Russakovskii

      The app had the "Please start TweetCaster Premium" bug on my Tab 10.1 but it was fixed today. Try it again.

  • Matchstick

    So basically Handmark has marked the program as only compatible with the Xoom.
    Clever.

    • Tyler

      seams like it.. saw this post on Droidlife and tried to send it to my Transformer and it says its not compatible but could send it to the Xoom.. (which i returned) . its funny, because its the Xoom Honeycomb UI with 2 new wallpapers and 3 widgets. beyond that its far more stable and little to no crash.

      • http://www.AndroidPolice.com Artem Russakovskii

        Works on my Tab 10.1.

        • Mauricio

          I keep getting the "failure to connect" message on my galaxy tab 10.1. How did you do it?

  • tweetmeistergeneral

    When I launch it it says "please launch tweetcaster premium" which I already did. Hmmm....

    • http://www.AndroidPolice.com Artem Russakovskii

      Update to the latest version - it fixes this problem.

  • JT

    Won't install on my galaxy tab 10.1v

  • http://litlclic.com Groan

    Works now on the Iconia A500 but adding multiple Twitter accounts seems impossible even though it says so.
    I can't see any way to add another account.

  • Tempest

    Wont download from market on my xoom(mz601, stock 3.0)
    Not compatible it says. Can anyone please share .apk ?